## org.gjt.sp.jedit.search
Interface SearchFileSet

All Known Implementing Classes:
  BufferListSet, CurrentBufferSet

public interface SearchFileSet

An abstract interface representing a set of files.

Version:
  $Id: SearchFileSet.java,v 1.5 2004/03/28 00:07:27 spestov Exp $
Author:
  Slava Pestov

Method Summary
`java.lang.String` `getCode()` Returns the BeanShell code that will recreate this file set.
`int` `getFileCount(View view)` Returns the number of files in this file set.
`java.lang.String[]` `getFiles(View view)` Returns all path names in this file set.
`java.lang.String` `getFirstFile(View view)` Returns the first file to search.
`java.lang.String` `getNextFile(View view, java.lang.String path)` Returns the next file to search.

Method Detail

### getFirstFile

    public java.lang.String getFirstFile(View view)

  Returns the first file to search.

  Parameters:
    `view` - The view performing the search

### getNextFile

    public java.lang.String getNextFile(View view,
                                        java.lang.String path)

  Returns the next file to search.

  Parameters:
    `view` - The view performing the search
    `path` - The last file searched

### getFiles

    public java.lang.String[] getFiles(View view)

  Returns all path names in this file set.

  Parameters:
    `view` - The view performing the search

### getFileCount

    public int getFileCount(View view)

  Returns the number of files in this file set.

### getCode

    public java.lang.String getCode()

  Returns the BeanShell code that will recreate this file set.